CREATE TABLE IF NOT EXISTS `#__ffgate_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(500) NOT NULL,
  `value` text NOT NULL,
  `values` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `catdisp` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
);

CREATE TABLE IF NOT EXISTS  `#__ffgate_sites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) DEFAULT '0',
  `sitename` varchar(255) NOT NULL,
  `fbuser` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `caption` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `template` int(11) DEFAULT '0',
  `html_text` text,
  `html_text_no_fan` text,
  `app_id` varchar(255) NOT NULL,
  `app_secret` varchar(255) NOT NULL,
  `hits` int(11) DEFAULT '0',
  `fontcolor` varchar(255) NOT NULL,
  `linkcolor` varchar(255) NOT NULL,
  `thumbnail` text NOT NULL,
  `published_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `language` varchar(255) NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `published` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
);
