<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die ('Restricted access');

// Include library dependencies
jimport('joomla.filter.input');

/**
 * Class TableSettings
 *
 * @since  1.0.0
 */
class TableSettings extends JTable
{
	/**
	 * Construct
	 *
	 * @param   string  &$db  - The db
	 */
	public function __construct(&$db)
	{
		parent::__construct('#__ffgate_settings', 'id', $db);
	}
}
